//---------------------------------------------------------------//
// Styles de base : header-page-menu
//---------------------------------------------------------------//

.header-page-menu {

  .logo {
    display: flex;

    align-items: center;
    justify-content: center;

    h1 {
      font-size: $fz-logo-mobile;
    }

    .fa-paw {
      font-size: $fz-logo-mobile;
    }
  }

  h1 {
    font-size: $fz-h1-mobile;

    text-align: center;

    margin-left: 20px;
  }
}


//---------------------------------------------------------------//
// Styles : .main-nav
//---------------------------------------------------------------//

.main-nav {
  display: flex;

  flex-direction: column;
  align-items: center;

  .show-menu {
    .fa-bars {
      color: $white;
    }
  }

  .toggle-menu {
    display: none;
  }

  .toggle-menu:checked + ul {
    display: block;
  }

  ul.main-menu {
    display: none;

    text-align: center;

    width: 100%;

    list-style: none;

    padding: 0;

    li ul {
      display: none;
    }


    // Survol du menu avant et après

    .menu-princ:before,
    .menu-princ:after {
      border: 0 solid transparent;

      -webkit-transition: all 0.25s;
      transition: all 0.25s;

      content: "";

      position: absolute;

      width: 24px;
    }

    .menu-princ:before {
      border: 2px solid $color-button;

      left: 0;
      top: -5px;
    }

    .menu-princ:after {
      border: 2px solid $color-button;

      bottom: -5px;
      right: 0;
    }

    .menu-princ:hover,
    .menu-princ.hover {
      background-color: $color-button;

      opacity: 0.8;

      z-index: 900;
    }

    .menu-princ:hover:before,
    .menu-princ.hover:before,
    .menu-princ:hover:after,
    .menu-princ.hover:after {
      width: 100%;
    }

    li:hover ul {
      display: block;

      list-style: none;

      padding: 0;
    }
  }

  a {
    display: block;

    padding: 10px;
  }

  li:hover {
    background-color: lighten($color-bg-page, 15%);
  }

  i {
    font-size: $fz-logo-mobile;
  }

  .logo {
    display: flex;

    justify-content: center;
    align-items: center;

    background-color: $color-bg-page;
  }
}


// Menu à none

.menu-none {
  display: none;
}


//---------------------------------------------------------------//
// Medias queries
//---------------------------------------------------------------//

@media screen and(min-width: $vw-medium) {
  .header-page-menu {
    .logo {
      h1 {
        font-size: $fz-logo-normal;
      }

      .fa-paw {
        font-size: $fz-logo-normal;
      }
    }

    h1 {
      font-size: $fz-h1;
    }

  }

  nav.main-nav {
    flex-direction: row;

    justify-content: center;

    .show-menu {
      display: none;
    }

    ul.main-menu {
      display: flex;

      width: auto;

      li {
        position: relative;

        ul {
          position: absolute;
          top: 100%;
          left: 0;

          background-color: $color-bg-dark;

          li {
            z-index: 100;
          }
        }
      }
    }
  }
}

